Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1874275

Summary: please make GDB advise to use dnf debuginfo-install filename instead dnf --enablerepo='*debug*' install filename
Product: [Fedora] Fedora Reporter: Sergio Basto <sergio>
Component: gdbAssignee: Alexandra Petlanová Hájková <ahajkova>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ahajkova, fedora, germano.massullo, jan, jan.kratochvil, keiths, kevinb, pmuldoon, sergiodj
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gdb-10.2-4.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-30 00:32:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Sergio Basto 2020-08-31 21:16:50 UTC
Description of problem:
Hi, 
 
instead of use

    dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/69/b41b2860e58dc8dfd849fb73ca4a5d8a7676d0.debug

we can use 

    dnf debuginfo-install /usr/lib/debug/.build-id/69/b41b2860e58dc8dfd849fb73ca4a5d8a7676d0.debug

which works perfectly.


Version-Release number of selected component (if applicable):

gdb-8.3.50.20190824-30.fc31.x86_64



Actual results:

gdb ask wrongly to enable all *debug* repos which may enable debug repos from repos that aren't enabled 

Expected results:
gdb ask to use  dnf debuginfo-install

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1571898

Comment 1 Kevin Buettner 2020-09-02 17:23:04 UTC
I've seen these messages too.  Using "dnf debuginfo-install" does indeed work.  I'll see what I can do...

Comment 2 Sergio Basto 2020-11-03 00:48:22 UTC
see also https://bugzilla.redhat.com/show_bug.cgi?id=1874275

Comment 3 Alexandra Petlanová Hájková 2021-10-07 08:42:26 UTC
I reproduced this for the current Fedora Rawhide branch:

1)I built Fedora Rawhide (with the local patches applied)
2)./gdb  --args ./gdb /bin/ls -ex 'b write'

...

Reading symbols from /bin/ls...
Missing separate debuginfo for /usr/bin/ls
Try: yum --enablerepo='*debug*' install /usr/.build-id/20/4c65bc2621d8d2f61a19ab74edcd738f71aadc.debug

Comment 4 Fedora Update System 2021-10-15 08:45:20 UTC
FEDORA-2021-54093e2d55 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-54093e2d55

Comment 5 Fedora Update System 2021-10-15 19:50:20 UTC
FEDORA-2021-54093e2d55 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-54093e2d55`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-54093e2d55

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-10-30 00:32:18 UTC
FEDORA-2021-54093e2d55 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.